cURL
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/google-sheets/spreadsheets/{spreadsheetId}/sheets/{sheetId}/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentialsId": "<string>",
"workspaceId": "<string>",
"action": "Get"
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/google-sheets/spreadsheets/{spreadsheetId}/sheets/{sheetId}/execute"
payload = {
"credentialsId": "<string>",
"workspaceId": "<string>",
"action": "Get"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credentialsId: '<string>', workspaceId: '<string>', action: 'Get'})
};
fetch('http://127.0.0.1:3333/v3/integrations/google-sheets/spreadsheets/{spreadsheetId}/sheets/{sheetId}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Google Sheets
List Google Sheets
List Google Sheets with the Sendbot API v3.
POST
/
v3
/
integrations
/
google-sheets
/
spreadsheets
/
{spreadsheetId}
/
sheets
/
{sheetId}
/
execute
cURL
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/google-sheets/spreadsheets/{spreadsheetId}/sheets/{sheetId}/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentialsId": "<string>",
"workspaceId": "<string>",
"action": "Get"
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/google-sheets/spreadsheets/{spreadsheetId}/sheets/{sheetId}/execute"
payload = {
"credentialsId": "<string>",
"workspaceId": "<string>",
"action": "Get"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credentialsId: '<string>', workspaceId: '<string>', action: 'Get'})
};
fetch('http://127.0.0.1:3333/v3/integrations/google-sheets/spreadsheets/{spreadsheetId}/sheets/{sheetId}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 256Pattern:
^[A-Za-z0-9_-]+$Required string length:
1 - 10Pattern:
^\d+$Body
application/json
- Option 1
- Option 2
- Option 3
Required string length:
1 - 256Pattern:
^[A-Za-z0-9_-]+$Required string length:
1 - 256Pattern:
^[A-Za-z0-9_-]+$Available options:
Get Show child attributes
Show child attributes
Required string length:
1 - 256Show child attributes
Show child attributes
Response
200
Default Response